* {
	box-sizing: border-box;
}

body {
	margin: 0;
	padding: 0;
	font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu,
		Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
	display: flex;
	flex-direction: column;
	min-height: 100vh;
	justify-content: space-between;
}

.everything {
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	min-height: 100vh;
}

main {
	overflow: hidden;
}

.hidden {
	display: none;
}

.block {
	display: block;
}

.flex {
	display: flex;
}

.grid {
	display: grid;
}

header {
	padding: 0 0.5rem;
	border-bottom: 3px solid lightgray;
}

div.posts {
	padding: 0.5rem;
}

.post-info > h2,
.post-info > p {
	margin: 0.35rem 0;
}

.post-info > h2 {
	color: #444;
}

.post-date {
	color: #666;
}

div.post-img {
	width: 100%;
	height: 18rem;
	overflow: hidden;
	border-radius: 8px;
}

img.post-img {
	width: 100%;
	height: 100%;
	object-fit: cover;
}

.button {
	background-color: #ff7f50;
	color: #fff;
	width: fit-content;
	padding: 0.5rem 2rem;
	border-radius: 5px;
	text-decoration: none;
	transition: background-color 0.1s ease-in-out;
	margin: 1rem 0;
}

.button:hover {
	background-color: #ce633c;
}

footer {
	background-color: dimgray;
}

.footer {
	color: #fff;
	overflow: hidden;
	width: 100%;
}

.footer > p {
	text-align: center;
}
